## org.junit.runners.model
Interface Annotatable

All Known Implementing Classes:
  FrameworkField, FrameworkMember, FrameworkMethod, TestClass

    public interface Annotatable

A model element that may have annotations.

Since:
  4.12

Method Summary

`

`<T extends Annotation> T`

`

`getAnnotation(Class<T> annotationType)`
Returns the annotation on the model element of the given type, or @code{null}

`Annotation[]` `getAnnotations()` Returns the model elements' annotations.

Method Detail

### getAnnotations

    Annotation[] getAnnotations()

  Returns the model elements' annotations.

### getAnnotation

    <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Returns the annotation on the model element of the given type, or @code{null}

Copyright © 2002–2020 JUnit. All rights reserved.